/*
 * simco_core_ext.h
 *
 * Copyright (C) 2005, Ranch Networks, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * Author : Srivatsa Chivukula <srivatsa@ranchnetworks.com>
 *
 */

#ifndef _SIMCO_CORE_EXT_H_
#define _SIMCO_CORE_EXT_H_

#include "simco_core.h"
#include "simco_client_ext.h"

extern void parseSIMCOExtPdu(simcoExtPacket_t *sep, char *pdu, int size);

extern int makeFirewallRuleCreateRequest(char *request, const simcoExtPacket_t *sep);
extern int makeFirewallRuleDeleteRequest(char *request, const simcoExtPacket_t *sep);
extern int makeFirewallRuleStatusRequest(char *request, const simcoExtPacket_t *sep);
extern int makeFirewallRuleListRequest(char *request);

#endif /* _SIMCO_CORE_EXT_H_ */
